/*
 *	File:		functions.h
 *  Project:	Oktopod_Board firmware (MCU-AtMega16)
 *	Version:	V3.2
 *  Authors:	Robert Kovacs, Milan Romic
 *	Contact:	robikovacs@oktopodstudio.com, milan.romic@oktopodstudio.com
 *	Web:		<http://www.oktopodstudio.com>
 
 *	This program is distributed under the terms of the GNU General Public License
 *	Copyright (c) 2010-2013 Oktopod Studio
 *	All rights reserved.
 
 *	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

 *	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

 *	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _FUNCTIONS_H
#define _FUNCTIONS_H
	
	void InitMCU(void);
	void Bluetooth_setup(void);
	void Reset_outputs(void);
	void Send_data(void);
	void Receive_data(void);
	void Analog_output_PWM(void);
	void Communication_timeout_output_reset(void);
	void Write_prog_to_EEPROM(void);
	char Execute_prog_line(unsigned char prog_line[3], char pretak);
#endif
